%define	name	gnokii
%define	version	0.5.10
%define	release	2mdk
%define	Summary	Tool suite for Nokia mobile phones

%define	major	1
%define	libname			%mklibname %{name} %major
%define	libnamedev		%mklibname %{name} %major -d
%define	libnamestaticdev	%mklibname %{name} %major -d -s
Summary:	%{Summary}
Name:		%{name}
Version: 	%{version}
Release:	%{release}
License:	GPL
Url:		http://www.gnokii.org/
Group:		Communications
Source0:	%{name}-%{version}.tar.bz2
Source10:	%{name}-16x16.png
Source11:	%{name}-32x32.png
Source12:	%{name}-48x48.png
Buildrequires:	xpm-devel gtk+-devel bison bluez-devel
BuildRoot:	%_tmppath/%{name}-%{version}-%{release}-buildroot
PreReq:		rpm-helper

%description
Gnokii is a Linux/Unix tool suite and (eventually) modem/fax driver for
Nokia's mobile phones, released under the GPL.

%package	xgnokii
Summary:	Graphical Linux/Unix tool suite for Nokia mobile phones.
Group:		Communications

%description	xgnokii
Xgnokii is graphical Linux/Unix tool suite for Nokia's mobile phones. It
allows you to edit your contacts book, send/read SMS's from/in
computer and more other features.

%package -n	%libname
Summary:	Linux/Unix tool suite for Nokia mobile phones
Group: 		System/Libraries

%description -n %libname
Gnokii is a Linux/Unix tool suite and (eventually) modem/fax driver for
Nokia's mobile phones, released under the GPL.

Libraries

%package -n	%libnamedev
Summary:	Development libraries and headers for gnokii
Group: 		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	name-devel = %{version}-%{release}
Requires:	libgnokii1 = %version

%description -n %libnamedev
Gnokii is a Linux/Unix tool suite and (eventually) modem/fax driver for
Nokia's mobile phones, released under the GPL.

Development Libraries

%package -n	%libnamestaticdev
Summary:	Static library for gnokii
Group:		Development/C
Provides:	%{name}-static = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	lib%{name}-static = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}

%description -n	%libnamestaticdev
Static library for %{name}

%prep
%setup -q 

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC"
%configure	--enable-security
make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall

%{__install} -d $RPM_BUILD_ROOT%{_sysconfdir}

sed 's#/usr/local/sbin/#%{_sbindir}/#' <Docs/sample/gnokiirc >$RPM_BUILD_ROOT%{_sysconfdir}/gnokiirc

%{__install} -d $RPM_BUILD_ROOT%{_menudir}

%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/x%{name}
?package(gnokii-xgnokii):command="%{_bindir}/x%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="Office/Communications/Phone" \
		title="xGnokii"\
		longtitle="%{Summary}"
EOF

%{__install} %{SOURCE10} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} %{SOURCE11} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} %{SOURCE12} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


%find_lang %name

%pre
%_pre_groupadd %{name}

%postun
%_postun_groupdel %{name}

%post xgnokii
%{update_menus}

%postun xgnokii
%{clean_menus}

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Docs/*
%{_bindir}/%{name}
%{_bindir}/sendsms
%{_bindir}/ppm2nokia
%{_sbindir}/%{name}d
%{_sbindir}/m%{name}dev
%config(noreplace) %{_sysconfdir}/%{name}rc

%files xgnokii -f %name.lang
%defattr(-,root,root)
%{_bindir}/x%{name}
%{_bindir}/todologo
%{_datadir}/x%{name}
%{_menudir}/x%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %libnamedev
%defattr(-,root,root)
%{_includedir}/*.h
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*

%files -n %libnamestaticdev
%defattr(-,root,root)
%{_libdir}/*.a

%changelog
* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.10-2mdk
- Fix generate menu

* Mon Feb 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.10-1mdk
- 0.5.10
- use new menu section

* Sat Jan 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.5.8-1mdk
- 0.5.8
- nuke %{name}-devel package and merge with %{libnamedev} package
- fix provides
- use %%_pre_groupadd and %%_postun_groupdel
- added package for static library
- fix shlib-with-non-pic-code
- fix path in menu item

* Sun Dec 14 2003 Austin Acton <austin@linux.ca> 0.5.6-1mdk
- 0.5.6

* Fri Oct 17 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.5.5-1mdk
- 0.5.5
- badly needed makeover(aka I don't wanna waste my time documenting
  every little change in the spec file)

* Tue Sep 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.4-1mdk
- 0.5.4

* Fri Jun 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2

* Mon Mar 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-0.pre11.1mdk
- 0.5.0pre11

* Wed Feb 19 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-0.pre8.1mdk
- 0.5.0pre8

* Fri Feb 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-0.pre7.1mdk
- 0.5.0pre7

* Mon Feb 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-0.pre6.1mdk
- from Fabrice MARIE <fabrice-marie-sec@ifrance.com> :
	- 0.5.0pre6

* Sun Jan 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-0.pre4.1mdk
- 0.5.0pre4

* Thu Jan 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-0.pre3.1mdk
- 0.5.0pre3

* Thu Jul 11 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-2mdk
- provides libgnokii.so

* Thu Jul 11 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-1mdk
- 0.4.0

* Mon Feb 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-1mdk
- updated to 0.3.4 by andreapes@iol.it

* Mon Nov 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-2mdk
- from andreapes@iol.it :
	- add icons 

* Wed Oct 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-1mdk
- added by andreapes@iol.it

